Atom editor: autocomplete-python package doesn't work, Jedi problem?

I have installed Jedi 0.18 on Python 3.8.8 using Miniconda, when I install the autocomplete-python package on Atom i get this error:

Looks like this error originated from Jedi. Please do not report such issues in autocomplete-python issue tracker. Report them directly to Jedi. Turn off outputProviderErrors setting to hide such errors in future. Traceback output:

Traceback (most recent call last):
  File "C:\Users\aless\.atom\packages\autocomplete-python\lib/completion.py", line 378, in watch
    self._process_request(request)
  File "C:\Users\aless\.atom\packages\autocomplete-python\lib/completion.py", line 338, in _process_request
    script = jedi.api.Script(
TypeError: __init__() got an unexpected keyword argument 'source'

I tried adding the Python paths to the settings of the package but it doesn’t work. Any help will be much appreciated, thanks in advance!